Make your own free website on Tripod.com

Home

How to Succeed in Online Courses | Hardware Requirements | Suggested Software | Plug-Ins | Computer Skills Tutorials | Blackboard Tutorial | Student's Guide to Copyright Issues
Online Learning @ College of the Canyons
Suggested Software

Minimum software requirements and suggestions

Minimum PC software requirements

Windows 95, 98, 2000, or NT
 
Acrobat Reader software with Acrobat PDF Companion

Netscape Navigator 4.0 (or later), Microsoft Internet Explorer 4.0 (or later), or AOL 4.x (or later)
 
RealPlayer 8, or later.
 
Word processing software, such as Word or WordPerfect
 
Email capability (AOL, Earthlink, Hotmail, Yahoo, or one of many others)
 
Synchronous chat program, (such as AIM, MSN Messenger, Yahoo Instant Messenger, ICQ, or others).
 
 
 
 
 
 
 

Minimum Machintosh software requirements

OS 8.0, or later
 
Acrobat Reader software with Acrobat PDF Companion

Netscape Navigator 5.0, (or later), Microsoft Internet Explorer 4.0, (or later), or AOL 4.x, (or later).
 
Real Player 8, or later.
Word processing software such as Word or WordPerfect
 
Email capability (AOL, Earthlink, Hotmail, Yahoo, or one of many others)
 
Synchronous chat program (such as AIM, MSN Messenger, Yahoo Instant Messenger, ICQ, or others).
 
* Important Note: Due to the lack of Macintosh-specific software, VirtualPC or SoftWindows may be required for some courses. Some advanced IT courses many specify additional software requirements. these additional requirements will be specified in the course literature.

** For hardware requirements and suggested plug-ins, see links at top of page **